---
title: XMLHttpRequest.getResponseHeader()
slug: Web/API/XMLHttpRequest/getResponseHeader
tags:
  - API
  - Examine Header
  - Get Header
  - HTTP
  - HTTP Header
  - Headers
  - Method
  - Reference
  - XHR
  - XHR Header
  - XMLHttpRequest
  - getResponseHeader
---
<div>{{APIRef('XMLHttpRequest')}}</div>

<p><span class="seoSummary">The {{DOMxRef("XMLHttpRequest")}} method <strong><code>getResponseHeader()</code></strong> returns the string containing the text of a particular header's value.</span> If there are multiple response headers with the same name, then their values are returned as a single concatenated string, where each value is separated from the previous one by a pair of comma and space. The <code>getResponseHeader()</code> method returns the value as a UTF byte sequence.</p>

<div class="note">
<p><strong>Note:</strong> The search for the header name is case-insensitive.</p>
</div>

<p>If you need to get the raw string of all of the headers, use the {{DOMxRef("XMLHttpRequest.getAllResponseHeaders", "getAllResponseHeaders()")}} method, which returns the entire raw header string.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>myHeader</var> = <var>XMLHttpRequest</var>.getResponseHeader(<var>headerName</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><var>headerName</var></dt>
 <dd>A {{DOMxRef("ByteString")}} indicating the name of the header you want to return the text value of.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{DOMxRef("ByteString")}} representing the header's text value, or <code>null</code> if either the response has not yet been received or the header doesn't exist in the response.</p>

<h2 id="Example">Example</h2>

<p>In this example, a request is created and sent, and a {{Event("readystatechange")}} handler is established to look for the {{DOMxRef("XMLHttpRequest.readyState", "readyState")}} to indicate that the headers have been received; when that is the case, the value of the {{httpheader("Content-Type")}} header is fetched. If the <code>Content-Type</code> isn't the desired value, the {{DOMxRef("XMLHttpRequest")}} is canceled by calling {{DOMxRef("XMLHttpRequest.abort", "abort()")}}.</p>

<pre class="brush: js">var client = new XMLHttpRequest();
client.open("GET", "unicorns-are-teh-awesome.txt", true);
client.send();

client.onreadystatechange = function() {
  if(this.readyState == this.HEADERS_RECEIVED) {
    var contentType = client.getResponseHeader("Content-Type");
    if (contentType != my_expected_type) {
      client.abort();
    }
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("XMLHttpRequest", "#dom-xmlhttprequest-getresponseheader", "getResponseHeader()")}}</td>
   <td>{{Spec2("XMLHttpRequest")}}</td>
   <td>WHATWG living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XMLHttpRequest.getResponseHeader")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/XMLHttpRequest/Using_XMLHttpRequest">Using XMLHttpRequest</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Headers">HTTP headers</a></li>
 <li>{{DOMxRef("XMLHttpRequest.getAllResponseHeaders", "getAllResponseHeaders()")}}</li>
 <li>{{DOMxRef("XMLHttpRequest.response", "response")}}</li>
 <li>Setting request headers: {{DOMxRef("XMLHttpRequest.setRequestHeader", "setRequestHeader()")}}</li>
</ul>
